/Users/bernard/b20/bsoft/include/Quaternion.h(3)

NAME
/Users/bernard/b20/bsoft/include/Quaternion.h - Class for quaternions.

SYNOPSIS

#include <cmath>
#include 'Vector3.h'

  Classes
class Vector3< Type >
Vector class for 3-value vectors used in 3D space. The internal variables are an array of 3 numbers.
class Quaternion

  Functions
ostream & operator<< (ostream &output, Quaternion &q)
template<typename Type > Vector3< Type > vector3_rotate (Vector3< Type > &vec, Vector3< Type > &axis, double angle)

Detailed Description

Class for quaternions.

Author:
    Bernard Heymann

Date:
    Created: 20051017

    Modified: 20150115

Definition in file Quaternion.h.

Function Documentation

  ostream& operator<< (ostream & output, Quaternion & q)

Definition at line 15 of file Quaternion.cpp.

  template<typename Type > Vector3<Type> vector3_rotate (Vector3< Type > & vec, Vector3< Type > & axis, double angle) [inline]

Definition at line 183 of file Quaternion.h.

Author

Generated automatically by Doxygen for Bsoft from the source code.